Summary:	Text-based Object Oriented User Interface library
Summary(ro):	Interfata utilizator orientata pe obiecte in mod terminal
Summary(it):	Interfaccia utente orientata agli oggetti
Summary(sl):	Knjinica za tekstovno baziran uporabniki vmesnik
Summary(de):	Bibliothek fuer eine text-basierte objekt orientierte Benutzeroberflaeche
Name:		Xterminal
Version:	1.0.4
Release:	1
Copyright:	LGPL
Group:		Libraries
Source:		ftp://sunsite.unc.edu/pub/Linux/libs/ui/Xterminal-%{version}.tar.gz
URL:		http://www.linuxsupportline.com/~Xterminal
Packager:	Dragos Acostachioaie <dragos@iname.com>
Prefix:		/usr
Buildroot:	/var/tmp/Xterminal-%{version}-root
Prereq:		/sbin/ldconfig

%description
Xterminal is an Object Oriented User Interface with a client-server
architecture. It is designed to be used to build text-based, user-friendly
applications for UNIX systems in C++.

%description -l ro
Xterminal este o interfata utilizator orientata pe obiecte avand arhitectura
client-server. Este proiectat pentru a fi folosit la construirea de
aplicatii C++ in mod terminal usor de utilizat, sub sisteme UNIX.

%description -l it
Xterminal  un' Interfaccia utente orientata agli oggetti con architettura
client-server. E' progettato per creare applicazioni testo in C++ per i sistemi
operativi UNIX.

%description -l sl
Xterminal je objektno oriantirana knjinica za uporabniki vmesnik z
arhitekturo client-server. Namenjena je za uporabo v konzoli, v aplikacijah
prijaznih do uporabnika, ki so napisane za C++ na sistemih za UNIX nareje.

%description -l de
Xterminal ist ein objektorientieres Benutzerinterface mit einer Client/Server
Architektur. Es wurde entworfen, um eine textbasierte, benutzerfreundliche
Anwendung fuer UNIX Systeme in C++ zu erstellen.

%package devel
Summary:	Text-based Object Oriented User Interface library
Summary(ro):	Interfata utilizator orientata pe obiecte in mod terminal
Summary(it):	Interfaccia utente orientata agli oggetti
Summary(sl):	Knjiznica za tekstovno baziran uporabniski vmesnik
Summary(de):	Bibliothek fuer eine text-basierte objekt orientierte Benutzeroberflaeche
Group:		Development/Libraries

%description devel
This package includes the libraries and the header files necessary to develop
applications that uses Xterminal.

%description devel -l ro
Acest pachet contine bibliotecile si fisierele header necesare pentru a
dezvolta aplicatii care utilizeaza Xterminal.

%description devel -l de
Dieses Paket enthaelt die Bibliothek und die Headerdateien, die noetig sind um
eine Anwendung zu erstellen, die Xterminal benutzt.

%prep

%setup -q

%build
./configure --prefix=%{prefix} --enable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%{prefix} install
make LDFLAGS="-L$RPM_BUILD_ROOT/%{prefix}/lib -lXterminal" examples

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc COPYING.LIB CREDITS NEWS README
%{prefix}/lib/libXterminal.so*

%files devel
%doc doc/manual doc/ChangeLog doc/TO-DO doc/objects.tree
%doc example/
%{prefix}/include/Xterminal/xbclass.h
%{prefix}/include/Xterminal/xconfig.h
%{prefix}/include/Xterminal/xevent.h
%{prefix}/include/Xterminal/xobject.h
%{prefix}/include/Xterminal/xtapp.h
%{prefix}/include/Xterminal/xtbar.h
%{prefix}/include/Xterminal/xtbutton.h
%{prefix}/include/Xterminal/xtcombobox.h
%{prefix}/include/Xterminal/xtdesktop.h
%{prefix}/include/Xterminal/xtdialog.h
%{prefix}/include/Xterminal/xterminal.h
%{prefix}/include/Xterminal/xtfield.h
%{prefix}/include/Xterminal/xthlist.h
%{prefix}/include/Xterminal/xtlib.h
%{prefix}/include/Xterminal/xtlist.h
%{prefix}/include/Xterminal/xtmenu.h
%{prefix}/include/Xterminal/xtother.h
%{prefix}/include/Xterminal/xtpassive.h
%{prefix}/include/Xterminal/xtscreen.h
%{prefix}/include/Xterminal/xttools.h
%{prefix}/include/Xterminal/xtwindow.h
%{prefix}/include/Xterminal/RegionalInfo.h
%{prefix}/lib/libXterminal.a
%{prefix}/lib/libXterminal.la

%changelog

* Thu Mar 16 2000 Dragos Acostachioaie <dragos@iname.com>
    + added xtcombobox.h

* Tue Feb  1 2000 Dragos Acostachioaie <dragos@iname.com>
    + added german descriptions

* Fri Aug 13 1999 Dragos Acostachioaie <dragos@iname.com>
    + added xthlist.h

* Tue Apr 13 1999 Tadej Panjtar <tadej.panjtar@rikom.si>
    + added slovenian descriptions

* Wed Mar 10 1999 Dragos Acostachioaie <dragos@iname.com>
    + added italian descriptions

* Tue Mar  9 1999 Dragos Acostachioaie <dragos@iname.com>
    + relocatable RPM support
    + added `BuildRoot' clause

* Sun Feb  7 1999 Dragos Acostachioaie <dragos@iname.com>
    + URL changed
    + fixes to deal with the automake-generated Makefiles

* Sun Jan 24 1999 Dragos Acostachioaie <dragos@iname.com>
    + added RegionalInfo.h

* Sat Sep  5 1998 Dragos Acostachioaie <dragos@iname.com>
    + Final fixes for 0.4
    + added xttools.h
    + added romanian descriptions

* Fri Aug  7 1998 Dragos Acostachioaie <dragos@iname.com>
    + added xtwindow.h
    + couple of small fixes

* Tue Jul 14 1998 Dragos Acostachioaie <dragos@iname.com>
    + Added URL info

* Sat Jun 20 1998 Dragos Acostachioaie <dragos@iname.com>
    + Final fixes for 0.1

* Mon Jun  1 1998 Dragos Acostachioaie <dragos@iname.com>
    + Minor esthetic changes

* Fri Oct 24 1997 Dragos Acostachioaie <dragos@iname.com>
    + First Xterminal RPM build
